import React from 'react';
import { useEffect } from 'react';
import logo from './logo.svg';
import Header from './Components/Header'
import Login from './Components/Login'

function Todo() {

  function getItems() {
    let url = 'http://localhost:80/items/';
    let p = fetch(url);
    let ps = p.then( (response) => {
      return response.json();
    }).then((objects) => {
     // in here
     setTodoItems(objects);
    }).catch(() => { 
      alert('something went wrong');
    });
  }
  
  const [iName, setIName] = React.useState('');
  const [iStat, setIStat] = React.useState('');
  const [todoItems, setTodoItems] = React.useState( [{name:'hello', stat: 'done'}, {name:'test2', stat:'not done'}] );

  function createItem() {
    let url = '/create/item/';
    let data = { name: iName, stat: iStat, difficulty: '?'};
    let p = fetch(url, {
      method: 'POST', 
      body: JSON.stringify(data),
      headers: {"Content-Type": "application/json"}
    });
    p.then(() => { 
      getItems();
    });
    p.catch(() => { 
      alert('something went wrong');
    });
  }

  useEffect( () => {
    getItems();
  });
  
  return (
    <div className="Todo">
      <Header />
      <h2>NEW ITEM</h2>
      <div>...</div>
      <button onClick={e => getItems()}>Load Items </button>
      <h2>TODO LIST</h2>
      <div>
        { todoItems.map( todoItem => <div> {todoItem.name} - {todoItem.stat} </div> ) }
      </div>

    </div>
  );
}

export default Todo;
